const fs = require('fs');
const JavaScriptObfuscator = require('javascript-obfuscator');

const inputFilePath = './source.js'; // 替换为你的文件名
const outputFilePath = './index.js';

const code = fs.readFileSync(inputFilePath, 'utf8');

const obfuscatedCode = JavaScriptObfuscator.obfuscate(code, {
    compact: true,
    controlFlowFlattening: true,
    deadCodeInjection: true,
    numbersToExpressions: true,
    renameGlobals: true,
    simplify: true,
    stringArray: true,
}).getObfuscatedCode();

fs.writeFileSync(outputFilePath, obfuscatedCode);
console.log('Code has been obfuscated and saved to', outputFilePath);
